> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-08-29-media.md).

# 2025-08-29: Media Service - vendor handling added

## Overview

New field `vendorId` was added to the asset response payload. With the new scopes, vendor employees can now manage and view assets for products that belong to their vendor.

## New scopes

* `media.asset_manage_by_vendor`
* `media.asset_read_by_vendor`

## Modified endpoints

| Endpoint                                                                                                                                                 | Description                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| [Retrieving all assets](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#get-media-tenant-assets)                 | New attribute `vendorId` added to response. New scope `media.asset_read_by_vendor` added. |
| [Retrieving an asset](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#get-media-tenant-assets-assetid)           | New attribute `vendorId` added to response. New scope `media.asset_read_by_vendor` added. |
| [Creating an asset](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#post-media-tenant-assets)                    | New scope `media.asset_manage_by_vendor` added.                                           |
| [Updating an asset](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#put-media-tenant-assets-assetid)             | New scope `media.asset_manage_by_vendor` added.                                           |
| [Deleting an asset](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#delete-media-tenant-assets-assetid)          | New scope `media.asset_manage_by_vendor` added.                                           |
| [Downloading an asset](https://developer.emporix.io/api-references/api-guides/media/media/api-reference/assets#get-media-tenant-assets-assetid-download) | New scope `media.asset_read_by_vendor` added.                                             |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-08-29-media.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
